#ifndef TMINTERDIALOG_H
#define TMINTERDIALOG_H

#include <RQ_OBJECT.h>
#include <TGFrame.h>
#include <TGText.h>
#include <TGTextView.h>

class TMInterDialog : public TGTransientFrame {

  RQ_OBJECT("TMInterDialog")

 public:
  TMInterDialog(const TGWindow* p, const TGWindow *main, const Char_t *choice1, const Char_t *choice2, TGText *text, UInt_t proceedCommand, UInt_t cancelCommand);
  virtual ~TMInterDialog();
  virtual void CloseWindow();
  virtual Bool_t ProcessMessage(Long_t msg, Long_t parm1, Long_t parm2);
  
  private:

  TGTextView          *fTextView;
  TGCompositeFrame    *fBottom;
  TGTextButton        *fTextB[2];
  TGLayoutHints	      *fL, *fL2;
  const TGWindow      *fMain;
  Bool_t              fLetUserCloseWindow;
  UInt_t              fProceedCommand;
  UInt_t              fCancelCommand;
  enum EEvents {
    BUTTON_PROCEED,
    BUTTON_CANCEL
  };
  
  ClassDef(TMInterDialog, 1)
};

#endif
